<?php

class Springbot_Queue_QueueController extends Mage_Core_Controller_Front_Action
{

    private $manager;

    protected function _construct()
    {
        $this->manager = Mage::getModel('springbot_queue/manager');
    }

    public function processAction()
    {
        $this->getResponse()->setBody(json_encode(array(
            'successful' => $this->manager->process(),
            'count'      => $this->manager->getJobCount()
        )));
    }

    public function viewJobsAction()
    {
        $jobs = $this->manager->getJobs();
        $this->getResponse()->setBody(json_encode($jobs->toArray()));
    }

}